//
//  NSObject+LLContextManagement.m
//  LLJogTest
//
//  Created by Lawrence Lomax on 07/03/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import "NSObject+LLContextManagement.h"
#import "LLCoreDataManager.h"

@implementation NSObject (LLContextManagement)

#pragma mark Context Management
-(NSManagedObject *)newObjectForName:(NSString *) entityName{
	return [[LLCoreDataManager sharedLLCoreDataManager] newObjectForName:entityName];
}

-(NSError *)saveContextChanges{
	return [[LLCoreDataManager sharedLLCoreDataManager] saveContextChanges];
}

@end
