//
//  NSObject+LLCoreDataResults.m
//  LLJogTest
//
//  Created by Lawrence Lomax on 07/03/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import "NSObject+LLCoreDataResults.h"
#import "LLCoreDataManager.h"

@implementation NSObject (LLCoreDataResults)

#pragma mark Fetching Objects with Requests
-(NSArray *)objectsWithFetchRequest:(NSFetchRequest *)fetchRequest{
	return [[LLCoreDataManager sharedLLCoreDataManager] objectsWithFetchRequest:fetchRequest];
}

-(NSArray *)objectsWithEntityName:(NSString *)name withPredicate:(NSPredicate *)pred sortedWithDescriptors:(NSArray *)descriptors{
	return [[LLCoreDataManager sharedLLCoreDataManager] objectsWithEntityName:name withPredicate:pred sortedWithDescriptors:descriptors];
}

-(NSArray *)objectsWithEntityName:(NSString *)name sortedWithDescriptors:(NSArray *)descriptors{
	return [[LLCoreDataManager sharedLLCoreDataManager] objectsWithEntityName:name sortedWithDescriptors:descriptors];
}

-(NSArray *)objectsWithEntityName:(NSString *)name{
	return [[LLCoreDataManager sharedLLCoreDataManager] objectsWithEntityName:name];
}

-(NSManagedObject *)firstObjectWithFetchRequest:(NSFetchRequest *)fetchRequest{
	return [[LLCoreDataManager sharedLLCoreDataManager] firstObjectWithFetchRequest:fetchRequest];
}

-(NSManagedObject *)firstObjectWithEntityName:(NSString *)name withPredicate:(NSPredicate *)pred sortedWithDescriptors:(NSArray *)descriptors{
	return [[LLCoreDataManager sharedLLCoreDataManager] firstObjectWithEntityName:name withPredicate:pred sortedWithDescriptors:descriptors];
}

-(NSManagedObject *)firstObjectWithEntityName:(NSString *)name sortedWithDescriptors:(NSArray *)descriptors{
	return [[LLCoreDataManager sharedLLCoreDataManager] firstObjectWithEntityName:name sortedWithDescriptors:descriptors];
}

-(NSManagedObject *)firstObjectWithEntityName:(NSString *)name{
	return [[LLCoreDataManager sharedLLCoreDataManager] firstObjectWithEntityName:name];
}

@end
