//
//  CoreDataAccessors.m
//  LLJogTest
//
//  Created by Lawrence Lomax on 17/01/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import "NSObject+LLCoreDataStack.h"

@implementation NSObject (CoreDataAccessors)

-(LLCoreDataManager *)coreDataManager{
    return [LLCoreDataManager sharedLLCoreDataManager];
}

-(NSPersistentStoreCoordinator *)persistentStoreCoordinator{
    return [[LLCoreDataManager sharedLLCoreDataManager] persistentStoreCoordinator];
}

-(NSManagedObjectModel *)managedObjectModel{
    return [[LLCoreDataManager sharedLLCoreDataManager] managedObjectModel];
}

-(NSManagedObjectContext *)managedObjectContext{
    return [[LLCoreDataManager sharedLLCoreDataManager] managedObjectContext];
}

@end
