//
//  NSObject+CommonObjects.m
//  LLJogTest
//
//  Created by Lawrence Lomax on 27/02/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import "NSObject+LLFetchRequests.h"
#import "LLCoreDataManager.h"

@implementation NSObject (LLFetchRequests)

#pragma mark Fetch Requests
-(NSFetchRequest *)fetchRequestFromModelWithName:(NSString *)name{
	return [[LLCoreDataManager sharedLLCoreDataManager] fetchRequestFromModelWithName:name];
}

-(NSFetchRequest *)fetchRequestFromModelWithName:(NSString *)name withSubstitutions:(NSDictionary *)substitutions{
	return [[LLCoreDataManager sharedLLCoreDataManager] fetchRequestFromModelWithName:name withSubstitutions:substitutions];
}

@end
