//
//  LLJourneyController.h
//  LLJogTest
//
//  Created by Lawrence Lomax on 12/01/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreLocation/CoreLocation.h>
#import "LLJourney.h"
#import "LLJourneyControllerDelegate.h"

@interface LLJourneyController : NSObject<CLLocationManagerDelegate> {
    id<LLJourneyControllerDelegate> delegate;
        
    LLJourney * activeJourney;
	
	CLLocationManager * clManager;
    
}

@property(nonatomic,assign) id<LLJourneyControllerDelegate> delegate;
@property(nonatomic,readonly) LLJourney * activeJourney; 

+(LLJourneyController *)sharedLLJourneyController;

-(BOOL)hasActiveJourney;

@end
