//
//  MKTestViewController.h
//  MKTest
//
//  Created by Lawrence Lomax on 01/12/2009.
//  Copyright Lawrence Lomax 2009. All rights reserved.
//

#import <UIKit/UIKit.h>
#import <CoreLocation/CoreLocation.h>
#import <MapKit/MapKit.h>
#import "NSObject+AllCoreData.h"
#import "LLJourneyController.h"
#import "LLMapViewController.h"
#import "LLNewJourneyTableViewController.h"

@interface LLActiveJourneyViewController : UIViewController<MKMapViewDelegate>{    
    IBOutlet LLJourneyController * journeyController;
    IBOutlet LLMapViewController * mapViewController;
	
	IBOutlet LLNewJourneyTableViewController * newJourneyViewController;
	IBOutlet UINavigationController * newJourneyNavigationController;
        
    IBOutlet UILabel * timeValueLabel;
    IBOutlet UILabel * speedValueLabel;
	IBOutlet UILabel * timeSinceLastBroadcast;
}

@end

