//
//  LLJourneySelectorViewController.h
//  LLJogTest
//
//  Created by Lawrence Lomax on 14/01/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "NSObject+AllCoreData.h"
#import "LLActiveJourneyViewController.h"
#import "LLJourneyControllerDelegate.h"

@interface LLJourneySelectorViewController : UIViewController<LLJourneyControllerDelegate> {
    
    IBOutlet UIButton * activeJourneyButton;
    IBOutlet UIButton * startStopButton;
    IBOutlet UIButton * newButton;
    
    LLActiveJourneyViewController * activeJourneyVC;
    
    LLJourneyController * journeyController;
    
}

-(IBAction)activeJourneyAction;
-(IBAction)startStopAction;
-(IBAction)newAction;

@end
