//
//  LLJourneySelectorViewController.m
//  LLJogTest
//
//  Created by Lawrence Lomax on 14/01/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import "LLJourneySelectorViewController.h"

@implementation LLJourneySelectorViewController

/*
 // The designated initializer. Override to perform setup that is required before the view is loaded.
 - (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
 if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
 // Custom initialization
 }
 return self;
 }
 */

/*
 // Implement loadView to create a view hierarchy programmatically, without using a nib.
 - (void)loadView {
 }
 */



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
    [self setTitle:@"Journey Selector"];
    journeyController = [LLJourneyController sharedLLJourneyController];
    if([journeyController hasActiveJourney]){
        [activeJourneyButton setEnabled:YES];
        [activeJourneyButton setTitle:[NSString stringWithFormat:@"Active Journey : %@",[[journeyController journey] name] ] forState:UIControlStateNormal];
    }else{
        [activeJourneyButton setEnabled:NO];
        [activeJourneyButton setTitle:@"No Active Journey" forState:UIControlStateNormal];
    }
}



/*
 // Override to allow orientations other than the default portrait orientation.
 - (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
 // Return YES for supported orientations
 return (interfaceOrientation == UIInterfaceOrientationPortrait);
 }
 */

- (void)didReceiveMemoryWarning {
        // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
        // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
}

-(IBAction)activeJourneyAction{
    if(!activeJourneyVC){
        activeJourneyVC = [[LLActiveJourneyViewController alloc] initWithNibName:@"LLActiveJourneyView" bundle:[NSBundle mainBundle]];
    }
    [self.navigationController pushViewController:activeJourneyVC animated:YES];
}

-(IBAction)startStopAction{
    [startStopButton setTitle:@"sdafosdifoi" forState:UIControlStateNormal];
}

-(IBAction)newAction{
    
}

-(void)journeyChanged:(LLJourney *)oldJourney toJourney:(LLJourney *)newJourney{
    [startStopButton setTitle:[oldJourney name] forState:UIControlStateNormal];
}

-(void)journeyStarted:(LLJourney *)journey{
    [startStopButton setTitle:@"Stop Journey" forState:UIControlStateNormal];
}

-(void)journeyEnded:(LLJourney *)journey{
    [startStopButton setTitle:@"Start Journey" forState:UIControlStateNormal];
}

- (void)dealloc {
    if(activeJourneyVC)
        [activeJourneyVC release];
    
    [super dealloc];
}


@end
