//
//  LLRootTableViewController.h
//  LLJogTest
//
//  Created by Lawrence Lomax on 13/03/2010.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import <UIKit/UIKit.h>
#import "LLActiveJourneyViewController.h"
#import "LLOptionsTableViewController.h"

extern NSString * const My_Journeys_Section_Name;
extern NSString * const Friends_Journeys_Section_Name;
extern NSString * const Help_And_Options_Section_Name;

extern NSString * const Start_Journey_Item_Name;
extern NSString * const Past_Journeys_Item_Name;

extern NSString * const Friends_Item_Name;

extern NSString * const Help_And_Options_Item_Name;

@interface LLRootTableViewController : UITableViewController {
	NSArray * sectionsArray;
	
	LLActiveJourneyViewController * activeJourneyViewController;
	
	LLOptionsTableViewController * optionsTableViewController;
}

@end
