//
//  NSObject+LLCoreDataResults.h
//  LLJogTest
//
//  Created by Lawrence Lomax on 07/03/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <CoreData/CoreData.h>

@interface NSObject (LLCoreDataResults)

#pragma mark Fetching Objects with Requests
-(NSArray *)objectsWithFetchRequest:(NSFetchRequest *)fetchRequest;
-(NSArray *)objectsWithEntityName:(NSString *)name withPredicate:(NSPredicate *)pred sortedWithDescriptors:(NSArray *)descriptors;
-(NSArray *)objectsWithEntityName:(NSString *)name sortedWithDescriptors:(NSArray *)descriptors;
-(NSArray *)objectsWithEntityName:(NSString *)name;
-(NSManagedObject *)firstObjectWithFetchRequest:(NSFetchRequest *)fetchRequest;
-(NSManagedObject *)firstObjectWithEntityName:(NSString *)name withPredicate:(NSPredicate *)pred sortedWithDescriptors:(NSArray *)descriptors;
-(NSManagedObject *)firstObjectWithEntityName:(NSString *)name sortedWithDescriptors:(NSArray *)descriptors;
-(NSManagedObject *)firstObjectWithEntityName:(NSString *)name;

@end
