//
//  NSObject+CollectionsUtilities.h
//  LLJogTest
//
//  Created by Lawrence Lomax on 13/03/2010.
//  Copyright 2010 Apple Inc. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface NSObject (CollectionsUtilities)

-(NSUInteger)numberOfSectionsInArrayMap:(NSArray *)array;

-(NSUInteger)numberOfRowsInSectionsInArrayMap:(NSArray *)array withSectionNumber:(NSUInteger)sectionNumber;

-(NSString *)sectionNameWithArrayMap:(NSArray *)array withSectionNumber:(NSUInteger)section;

-(NSString *)rowNameWithArrayMap:(NSArray *)array withSectionNumber:(NSUInteger)section withRowNumber:(NSUInteger)item;

@end
