//
//  LLJourneyControllerDelegate.h
//  LLJogTest
//
//  Created by Lawrence Lomax on 13/01/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//


@protocol LLJourneyControllerDelegate

-(void)journeyChanged:(LLJourney *)oldJourney toJourney:(LLJourney *)newJourney;

-(void)journeyStarted:(LLJourney *)journey;

-(void)journeyEnded:(LLJourney *)journey;

-(void)broadcastLocationUpdate:(LLLocation *)newLocation;

-(void)locationUpdate:(LLLocation *)newLocation withSufficientAccuracy:(BOOL)accurate;

@end