//
//  UIButton+Glossy.h
//  LLJogTest
//
//  Created by Lawrence Lomax on 14/01/2010.
//  Copyright 2010 Lawrence Lomax. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <UIKit/UIKit.h>
#import "LLGlossyUIButton.h"

@interface LLGlossyUIButton(Glossy) 

+ (void)setPathToRoundedRect:(CGRect)rect forInset:(NSUInteger)inset inContext:(CGContextRef)context;

- (UIButton*)buttonWithWidth:(NSUInteger)width height:(NSUInteger)height;

- (CGContextRef)currentImageContextWithWidth:(NSUInteger)width height:(NSUInteger)height;

- (UIImage*)imageFromCurrentContext;

- (UIImageView*)imageViewFromCurrentContext;

- (void)loadView;

@end