//
//  MKTestViewController.m
//  MKTest
//
//  Created by Lawrence Lomax on 01/12/2009.
//  Copyright Lawrence Lomax 2009. All rights reserved.
//

#import "LLActiveJourneyViewController.h"
#import "LLMapAnnotation.h"

@implementation LLActiveJourneyViewController


/*
// The designated initializer. Override to perform setup that is required before the view is loaded.
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil {
    if (self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil]) {
        // Custom initialization
    }
    return self;
}
*/

/*
// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
}
*/



// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
    [super viewDidLoad];
    [self setTitle:@"Active Journey"];
    journeyController = [LLJourneyController sharedLLJourneyController];
	if(!journeyController.activeJourney){	//No Active Journey
		if(!newJourneyViewController){
			newJourneyViewController = [[LLNewJourneyTableViewController alloc] initWithNibName:@"LLNewJourneyTableView" bundle:[NSBundle mainBundle]];
		}
		if(!newJourneyNavigationController){
			newJourneyNavigationController = [[UINavigationController alloc] initWithRootViewController:newJourneyViewController];
		}
		[self presentModalViewController:newJourneyNavigationController animated:YES];
	}
}



/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
    // Return YES for supported orientations
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
    [super dealloc];
}

@end
